> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch table view options

> Update view option



## OpenAPI

````yaml /swagger.json patch /table/{tableId}/view/{viewId}/options
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /table/{tableId}/view/{viewId}/options:
    patch:
      tags:
        - view
      description: Update view option
      parameters:
        - schema:
            type: string
          required: true
          name: tableId
          in: path
        - schema:
            type: string
          required: true
          name: viewId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                options:
                  anyOf:
                    - type: object
                      properties:
                        rowHeight:
                          type: string
                          enum:
                            - short
                            - medium
                            - tall
                            - extraTall
                            - autoFit
                          description: The row height level of row in view
                        fieldNameDisplayLines:
                          type: number
                          minimum: 1
                          maximum: 3
                          description: The field name display lines in view
                        frozenColumnCount:
                          type: number
                          minimum: 0
                          description: >-
                            The frozen column count in view. Deprecated: this
                            field will be removed in a future release and may no
                            longer take effect.
                        frozenFieldId:
                          type: string
                          description: >-
                            Freeze to the right side of this field id in grid
                            view
                      additionalProperties: false
                    - type: object
                      properties:
                        stackFieldId:
                          type: string
                          description: The field id of the Kanban stack.
                        coverFieldId:
                          type: string
                          nullable: true
                          description: >-
                            The cover field id is a designated attachment field
                            id, the contents of which appear at the top of each
                            Kanban card.
                        isCoverFit:
                          type: boolean
                          description: >-
                            If true, cover images are resized to fit Kanban
                            cards.
                        isFieldNameHidden:
                          type: boolean
                          description: If true, hides field name in the Kanban cards.
                        isEmptyStackHidden:
                          type: boolean
                          description: If true, hides empty stacks in the Kanban.
                      additionalProperties: false
                    - type: object
                      properties:
                        coverFieldId:
                          type: string
                          nullable: true
                          description: >-
                            The cover field id is a designated attachment field
                            id, the contents of which appear at the top of each
                            gallery card.
                        isCoverFit:
                          type: boolean
                          description: >-
                            If true, cover images are resized to fit gallery
                            cards.
                        isFieldNameHidden:
                          type: boolean
                          description: If true, hides field name in the gallery cards.
                      additionalProperties: false
                    - type: object
                      properties:
                        startDateFieldId:
                          type: string
                          nullable: true
                          description: The start date field id.
                        endDateFieldId:
                          type: string
                          nullable: true
                          description: The end date field id.
                        titleFieldId:
                          type: string
                          nullable: true
                          description: The title field id.
                        colorConfig:
                          type: object
                          nullable: true
                          properties:
                            type:
                              type: string
                              enum:
                                - field
                                - custom
                            fieldId:
                              type: string
                              nullable: true
                              description: The color field id.
                            color:
                              type: string
                              nullable: true
                              enum:
                                - blueLight2
                                - blueLight1
                                - blueBright
                                - blue
                                - blueDark1
                                - cyanLight2
                                - cyanLight1
                                - cyanBright
                                - cyan
                                - cyanDark1
                                - grayLight2
                                - grayLight1
                                - grayBright
                                - gray
                                - grayDark1
                                - greenLight2
                                - greenLight1
                                - greenBright
                                - green
                                - greenDark1
                                - orangeLight2
                                - orangeLight1
                                - orangeBright
                                - orange
                                - orangeDark1
                                - pinkLight2
                                - pinkLight1
                                - pinkBright
                                - pink
                                - pinkDark1
                                - purpleLight2
                                - purpleLight1
                                - purpleBright
                                - purple
                                - purpleDark1
                                - redLight2
                                - redLight1
                                - redBright
                                - red
                                - redDark1
                                - tealLight2
                                - tealLight1
                                - tealBright
                                - teal
                                - tealDark1
                                - yellowLight2
                                - yellowLight1
                                - yellowBright
                                - yellow
                                - yellowDark1
                              description: The color.
                          required:
                            - type
                      additionalProperties: false
                    - type: object
                      properties:
                        coverUrl:
                          type: string
                          description: The cover url of the form
                        logoUrl:
                          type: string
                          description: The logo url of the form
                        submitLabel:
                          type: string
                          description: The submit button text of the form
                      additionalProperties: false
                    - type: object
                      properties:
                        pluginId:
                          type: string
                          description: The plugin id
                        pluginInstallId:
                          type: string
                          description: The plugin install id
                        pluginLogo:
                          type: string
                          description: The plugin logo
                      required:
                        - pluginId
                        - pluginInstallId
                        - pluginLogo
                      additionalProperties: false
              required:
                - options
      responses:
        '200':
          description: Successfully update.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request PATCH \
              --url https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/options \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"}}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/table/%7BtableId%7D/view/%7BviewId%7D/options';

            const options = {
              method: 'PATCH',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"options":{"rowHeight":"short","fieldNameDisplayLines":1,"frozenColumnCount":0,"frozenFieldId":"string"}}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'PATCH',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/table/%7BtableId%7D/view/%7BviewId%7D/options',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              options: {
                rowHeight: 'short',
                fieldNameDisplayLines: 1,
                frozenColumnCount: 0,
                frozenFieldId: 'string'
              }
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"options\":{\"rowHeight\":\"short\",\"fieldNameDisplayLines\":1,\"frozenColumnCount\":0,\"frozenFieldId\":\"string\"}}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("PATCH",
            "/api/table/%7BtableId%7D/view/%7BviewId%7D/options", payload,
            headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````